#include <stdio.h>
#include "EMData.h"
#include "List.h"
#include "util.h"
#include <math.h>

/****************************************************************/
//main(int argc, char *argv[]) {
main(int argc, char *argv[] ) {
int i,j,N;
float tilt,theta,phi, piover = 3.1415926/180.;
FILE *eulersplt;
List *data;
EMData  *d2;

appinit(argc,argv);

//         EMangs2header.C

//   Write angles to the header

if (argc<2) appusage(0);


eulersplt=fopen(argv[1],"r");
data=readImages(argv[2],0,-1);


N=data->count(); //

//  ******    0. Read in euler file   *****

for (i=0; i<N; i++) {
	((EMData*)data->objectAt(i))->toCorner();
	fscanf(eulersplt,"%d	%f	%f	%f	\n",&j,&tilt,&theta,&phi);
	d2=(EMData*)data->objectAt(i);
	d2->setRAlign(phi * piover,tilt * piover,theta * piover);
	d2->setNImg(1);
	d2->toCorner();
	d2->writeIMAGIC(argv[2],i);	
}


} // ends program


